Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.impl
Class RuntimeFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.gmt.modisco.infra.query.runtime.impl.RuntimeFactoryImpl

All Implemented Interfaces:
  RuntimeFactory

    public class RuntimeFactoryImpl

extends EFactoryImpl
implements RuntimeFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.runtime.RuntimeFactory
`eINSTANCE`

Constructor Summary
`RuntimeFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertJavaExceptionToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` | `create(EClass eClass)`
`java.lang.Object` | `createFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Exception` | `createJavaExceptionFromString(EDataType eDataType, java.lang.String initialValue)`
`ModelQueryContext` | `createModelQueryContext()`
`ModelQueryParameterValue` | `createModelQueryParameterValue()`
`ModelQueryResult` | `createModelQueryResult()`
`static RuntimePackage` | `getPackage()` Deprecated.
`RuntimePackage` | `getRuntimePackage()`
`static RuntimeFactory` | `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeFactoryImpl

    public RuntimeFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static RuntimeFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createModelQueryContext

    public ModelQueryContext createModelQueryContext()

  Specified by:
    `createModelQueryContext` in interface `RuntimeFactory`
  Returns:
    a new object of class 'Model Query Context'.

### createModelQueryParameterValue

    public ModelQueryParameterValue createModelQueryParameterValue()

  Specified by:
    `createModelQueryParameterValue` in interface `RuntimeFactory`
  Returns:
    a new object of class 'Model Query Parameter Value'.

### createModelQueryResult

    public ModelQueryResult createModelQueryResult()

  Specified by:
    `createModelQueryResult` in interface `RuntimeFactory`
  Returns:
    a new object of class 'Model Query Result'.

### createJavaExceptionFromString

    public java.lang.Exception createJavaExceptionFromString(EDataType eDataType,
                                                             java.lang.String initialValue)

### convertJavaExceptionToString

    public java.lang.String convertJavaExceptionToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### getRuntimePackage

    public RuntimePackage getRuntimePackage()

  Specified by:
    `getRuntimePackage` in interface `RuntimeFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static RuntimePackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD